Source: https://manu-tests-all-orgs.docs-staging.pageloop.ai/api-reference/forms/getapi-v1-forms-requests

# Get request fields applicable (visible) to current user

GET `https://{tenant}.atomicwork.com/api/v1/forms/requests`

## Authorization

#### X-Api-Key (header, string, required)

API key authentication.

## Headers

#### X-Workspace-Id (header, string)

## Query Parameters

#### request\_form\_type (query, enum (string)) — allowed: REQUEST, QUESTION\_REQUEST, INCIDENT\_REQUEST, SERVICE\_REQUEST, PROBLEM\_REQUEST

#### request\_type (query, enum (string)) — allowed: REQUEST, INCIDENT, SERVICE\_REQUEST, PROBLEM, CHANGE, MAJOR\_INCIDENT

#### supported\_objects (query, enum (string)) — allowed: REQUEST, SERVICE\_REQUEST, INCIDENT, PROBLEM, CHANGE

The supported object type. Takes precedence over request\_type if both are provided.

#### workspace\_id (query, integer)

The workspace id

#### request\_id (query, string)

The request display ID

#### service\_item\_ids (query, array of integer)

The service item ids if service request is being created

#### catalog\_item\_ids (query, array of integer)

The catalogue item fields if catalogue request is being created, we will depreciate(service\_item\_ids) this soon.

#### channel\_type (query, enum (string)) — allowed: SLACK, MS\_TEAMS, EMAIL, ATOMICINBOX, UNIVERSAL\_AGENT

#### channel\_id (query, string)

#### view (query, enum (string)) — allowed: HOME, WORKFLOW, JOURNEY, LIST, INSIGHTS, CUSTOM\_SLA, ASSET\_LIST, RELATIONSHIP\_ATTRIBUTE, SCHEDULE\_WORKFLOW, SEARCH, NOTIFICATIONS, ASSET\_RELATIONSHIPS, USER\_SEGMENTS, MULTI\_SOURCE\_SYNC, MAJOR\_INCIDENT\_CREATE, APPROVERS

#### status\_value (query, string)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X GET 'https://{tenant}.atomicwork.com/api/v1/forms/requests' \
  -H 'X-Api-Key: <api-key>'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/forms/requests', {
  method: 'GET',
  headers: {
    'X-Api-Key': '<api-key>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://{tenant}.atomicwork.com/api/v1/forms/requests',
    headers={'X-Api-Key': '<api-key>'}
)
data = res.json()
```
